### Hierarchy

- unknown
  - CheckConnectionRequest

## Index

### Constructors

- constructor

### Methods

- serializeBinary
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new CheckConnectionRequest(): CheckConnectionRequest

- Inherited from jspb.Message.constructor

  #### Returns CheckConnectionRequest

## Methods

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:988

  #### Returns Uint8Array

### toObject

- toObject(includeInstance?: boolean): CheckConnectionRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:989

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns CheckConnectionRequest . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): CheckConnectionRequest

- - Defined in src/protobuf/grpc_pb.d.ts:992

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns CheckConnectionRequest

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: CheckConnectionRequest, reader: BinaryReader): CheckConnectionRequest

- - Defined in src/protobuf/grpc_pb.d.ts:993

  #### Parameters

  - ##### message: CheckConnectionRequest

  - ##### reader: BinaryReader

  #### Returns CheckConnectionRequest

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: CheckConnectionRequest, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:991

  #### Parameters

  - ##### message: CheckConnectionRequest

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: CheckConnectionRequest ): CheckConnectionRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:990

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: CheckConnectionRequest

  #### Returns CheckConnectionRequest . AsObject

Generated using TypeDoc